АРМАДА
Centos 5, как пересобрать php ?
Новая тема Написать ответ Advanced Hosters - профессиональный хостинг

blam
Опытный
Зарегистрирован: 13.03.2008
Сообщений: 240
Обратиться по нику
# Добавлено:Пн Dec 29, 2008 1:33 pmДобавить в избранноеОтветить с цитатой
нужен php с поддержкой zip функций, я так понял нужно пересобрать php с опцией --enable-zip.

советуют так сделать:
Цитата:
wget http://in.php.net/get/php-5.2.8.tar.gz/from/us.php.net/mirror
tar -zxf php-5.2.8.tar.gz
cd php-5.2.8
./configure --with-zip --other-options--
make
make install


Останется только service httpd restart и все должно работать ?
старые настройки сохранятся ?

P.S.
CentOs5
Бложок

creator123
Гуру
Зарегистрирован: 25.07.2007
Сообщений: 1146
Обратиться по нику
# Добавлено:Пн Dec 29, 2008 2:22 pmОтветить с цитатой
панель никакая не стоит?
<----- если понравился пост, жмакай сюды <-----

creator123
Гуру
Зарегистрирован: 25.07.2007
Сообщений: 1146
Обратиться по нику
# Добавлено:Пн Dec 29, 2008 2:23 pmОтветить с цитатой
а да, я бы посоветовал сисадмина нанять. это тебе обойдется в 10-20 баксов всего, зато проблем не будет
<----- если понравился пост, жмакай сюды <-----

blam
Опытный
Зарегистрирован: 13.03.2008
Сообщений: 240
Обратиться по нику
# Добавлено:Пн Dec 29, 2008 2:28 pmОтветить с цитатой
подумал сам справлюсь, вроде ничего сложного, пишут везде немго по разному - вот и хочу уточнить
панель не стоит

P.S. сисадмина найму, если не получится не дай бог
Бложок

creator123
Гуру
Зарегистрирован: 25.07.2007
Сообщений: 1146
Обратиться по нику
# Добавлено:Пн Dec 29, 2008 2:33 pmОтветить с цитатой
ну должно получиться.
потом еще php --version чтоб поглядеть новую версию
а вообще, как там в centOS мож из репозитариев поставить?
<----- если понравился пост, жмакай сюды <-----

blam
Опытный
Зарегистрирован: 13.03.2008
Сообщений: 240
Обратиться по нику
# Добавлено:Пн Dec 29, 2008 4:31 pmОтветить с цитатой
Цитата:
а вообще, как там в centOS мож из репозитариев поставить?


Ты про yum ?
я тоже так подумал, он может поверх поставить новую версию или нужно внчале uninstall старую версию ?
Бложок

creator123
Гуру
Зарегистрирован: 25.07.2007
Сообщений: 1146
Обратиться по нику
# Добавлено:Пн Dec 29, 2008 4:49 pmОтветить с цитатой
а ты сначала посмотри есть ли 5.2.8 в репозитарии ну и как там модуль добавить. тебе же модуль еще надо
<----- если понравился пост, жмакай сюды <-----

brush
V.I.P.
Зарегистрирован: 29.09.2005
Сообщений: 2566
Обратиться по нику
# Добавлено:Сб Янв 03, 2009 4:26 amОтветить с цитатой
blam писал(а):
Останется только service httpd restart и все должно работать ?
старые настройки сохранятся ?

Пагади.
Это будет пхп как cgi.
Ты уверен, что сейчас он не как модуль апача?
Если сейчас он как модуль - надо будет еще и в httpd.conf или .htaccess ему сказать интерпретировать "вот эти" файлики (например только .phpgz) "твоим" интерепретатором
От ответа на мой вопрос зависит и то, сохрянятся ли настройки.
Даже если текущий пхп у тебя cgi-ный - там все равно может быть "кастомный" конфиг где-нить в непонятном месте.

brush
V.I.P.
Зарегистрирован: 29.09.2005
Сообщений: 2566
Обратиться по нику
# Добавлено:Сб Янв 03, 2009 4:28 amОтветить с цитатой
creator123 писал(а):
а да, я бы посоветовал сисадмина нанять. это тебе обойдется в 10-20 баксов всего, зато проблем не будет

А я бы сильно не советовал нанимать кого-то кто называет себя админом и вписывается в 15-долларовые халтуры.
Но PHP он, может, и пересоберет - весь процесс топикстартер описал .-)
Новая тема Написать ответ    ГЛАВНАЯ ~ ТЕХНИЧЕСКИЕ ВОПРОСЫ

Перейти:  





Генеральный спонсор



Партнеры